{
  "version": "1.24.0",
  "createdWith": "Open Stage Control",
  "type": "fragment",
  "content": {
    "type": "panel",
    "top": 0,
    "left": 0,
    "lock": false,
    "id": "transport_panel",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "100%",
    "height": "100%",
    "expand": "false",
    "colorText": "auto",
    "colorWidget": "auto",
    "colorStroke": "auto",
    "colorFill": "auto",
    "alphaStroke": "auto",
    "alphaFillOff": "auto",
    "alphaFillOn": "auto",
    "lineWidth": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "text",
        "top": "27%",
        "left": "40%",
        "lock": false,
        "id": "colon",
        "visible": true,
        "comments": "",
        "width": 50,
        "height": "40%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": ":host {\n  font-size: 120rem;\n}",
        "vertical": false,
        "wrap": false,
        "align": "center",
        "value": ":",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "decimals": 2,
        "target": "",
        "onCreate": "",
        "onValue": ""
      },
      {
        "type": "input",
        "top": 0,
        "left": 0,
        "lock": false,
        "id": "measure",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "40%",
        "height": "100%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": 0,
        "html": "",
        "css": "canvas {\n  height: 150rem\n}\n:host {\n  font-size: 150rem;\n}",
        "align": "center",
        "unit": "",
        "asYouType": false,
        "numeric": false,
        "validation": "",
        "maxLength": "",
        "value": 1,
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 0,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": ""
      },
      {
        "type": "input",
        "top": 0,
        "left": "calc(40% + 50px)",
        "lock": false,
        "id": "beat",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "15%",
        "height": "100%",
        "expand": false,
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "canvas {\n  height: 150rem\n}\n:host {\n  font-size: 150rem;\n}",
        "align": "center",
        "unit": "",
        "asYouType": false,
        "numeric": true,
        "validation": "",
        "maxLength": "",
        "value": 1,
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 0,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": ""
      },
      {
        "type": "led",
        "top": 0,
        "left": "calc(55% + 50px)",
        "lock": false,
        "id": "visual_click",
        "visible": true,
        "comments": "",
        "width": "25%",
        "height": "100%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "",
        "mode": "intensity",
        "range": {
          "min": 0,
          "max": 1
        },
        "alphaRange": {
          "min": 0,
          "max": 1
        },
        "logScale": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "target": "",
        "onCreate": "",
        "onValue": "var fallTime = 0.3,\nfps = 24,\nmaxValue = 1,\nstep = maxValue / fps / fallTime\n\nsetTimeout(()=>{\n  if (value <= 0) clearTimeout()\n  set(\"this\", value - step)\n}, 1000 / fps)"
      },
      {
        "type": "input",
        "top": "10%",
        "left": "calc(80% + 50px)",
        "lock": false,
        "id": "tempo/@{parent.variables.piece}",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "calc(20% - 50px)",
        "height": "15%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": ":host{\n  font-size: 20rem\n}",
        "align": "center",
        "unit": "",
        "asYouType": false,
        "numeric": true,
        "validation": "",
        "maxLength": "",
        "value": "@{parent.variables.tempo}",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": ""
      },
      {
        "type": "text",
        "top": 0,
        "left": "calc(80% + 50px)",
        "lock": false,
        "id": "tempo_label",
        "visible": true,
        "comments": "",
        "width": "calc(20% - 50px)",
        "height": "10%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": ":host{\n  font-size: 15rem\n}",
        "value": "tempo",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "target": "",
        "onCreate": "",
        "onValue": "",
        "vertical": false,
        "wrap": false,
        "align": "center",
        "decimals": 2
      },
      {
        "type": "button",
        "top": "30%",
        "left": "calc(80% + 50px)",
        "lock": false,
        "id": "transport",
        "visible": true,
        "interaction": true,
        "comments": "",
        "width": "calc(20% - 50px)",
        "height": "70%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": ":host{\n  font-size: 20rem\n}",
        "colorTextOn": "auto",
        "label": "#{@{this} == 0 ? \"play\" : \"stop\"}",
        "vertical": false,
        "wrap": false,
        "on": 1,
        "off": 0,
        "mode": "toggle",
        "doubleTap": false,
        "decoupled": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 0,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "if(value === 1){\n  //setVar('main_panel', 'editable', false)\n  send(\"/transport\", 1, getProp(\"parent\", \"variables\").piece, get(\"measure\"), get(\"beat\"), get(\"tempo/\" + getProp(\"parent\", \"variables\").piece));\n} else {\n  //setVar('main_panel', 'editable', true)\n  send(\"/transport\", 0, getProp(\"parent\", \"variables\").piece, get(\"measure\"), get(\"beat\"), get(\"tempo/\" + getProp(\"parent\", \"variables\").piece));\n}"
      }
    ],
    "tabs": []
  }
}